<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "Enhanced Parser"                               |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
| Developed for Gnther Ludwig http://www.amazingbytes.net               |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <conpresso@gmx.de>                               |
+------------------------------------------------------------------------+

== Version: 4.1 / March 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('parser', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['parser'] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('Enhanced parser'),
    'install'   => 'function: parser_install',
    'activate'  => 'function: parser_activate',
    'deactivate'=> 'function: parser_deactivate',
    'uninstall' => 'function: parser_uninstall '.$moduleDirectory,
    'manage'	=> 'function: parser_manage '.$moduleDirectory,
	'helptoc'	=> array(
		'bersicht' 
			=> 'http://manual.conpresso4.de/parser/index.htm',
		'1. Was macht das Modul "Parser"?' 
			=> 'http://manual.conpresso4.de/parser/features.htm',
		'2. Installation' 
			=> 'http://manual.conpresso4.de/parser/setup.htm',
		'3. Einstellungen' 
			=> 'http://manual.conpresso4.de/parser/settings.htm',
		'4. Anwendung' 
			=> 'http://manual.conpresso4.de/parser/application.htm'
	),
	'externalHelpUrl'	=> 'http://manual.conpresso4.de',
	// presets in order of appearence
    'errorhandling' => 'yes',
    'debugging'     => 'no',
    'showArrays'    => 'no',
    'showTable'     => 'yes',
    'showAllSteps'  => 'no',
	'postparsing'   => "mod_parser/hide_emails.inc.php\nmod_parser/tags2lower.inc.php\nmod_parser/doXHTML.inc.php"
	);

function parser_install()
{
	$GLOBALS['message'][] = __('The parser module was successfully installed!');
}
function parser_uninstall($moduleDirectory)
{
	 $GLOBALS['message'][] = sprintf(__('The parser module was removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the map module.'),$moduleDirectory);
}
function parser_activate()
{
	$GLOBALS['message'][] = __('The parser module got activated.');
}
function parser_deactivate()
{
	$GLOBALS['message'][] = __('The parser module got deactivated.');
}
function parser_manage($moduleDirectory)
{
	global $module_status, $k;
	printIcon(	
		BASE_ABS.$moduleDirectory.'/settings.php', 
		BASE_ABS.'_skin/conpresso/pic_settings.gif', 
		(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE) ? __('options') : __('not available'),
		array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
	);
}

?>